package com.yxproject.start.entity;

import javax.persistence.*;
import java.util.Objects;

@Entity
@Table(name = "REDO_REGISTRATION", schema = "POST", catalog = "")
public class RedoRegistrationEntity {
    private String redoRegistrationId;
    private String submitDate;
    private String countyCode;
    private String policeCode;
    private String name;
    private String cardId;
    private String redoReason;
    private String callDate;
    private String backDate;
    private String note;

    @Id
    @Column(name = "REDO_REGISTRATION_ID")
    public String getRedoRegistrationId() {
        return redoRegistrationId;
    }

    public void setRedoRegistrationId(String redoRegistrationId) {
        this.redoRegistrationId = redoRegistrationId;
    }

    @Basic
    @Column(name = "SUBMIT_DATE")
    public String getSubmitDate() {
        return submitDate;
    }

    public void setSubmitDate(String submitDate) {
        this.submitDate = submitDate;
    }

    @Basic
    @Column(name = "COUNTY_CODE")
    public String getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(String countyCode) {
        this.countyCode = countyCode;
    }

    @Basic
    @Column(name = "POLICE_CODE")
    public String getPoliceCode() {
        return policeCode;
    }

    public void setPoliceCode(String policeCode) {
        this.policeCode = policeCode;
    }

    @Basic
    @Column(name = "NAME")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Basic
    @Column(name = "CARD_ID")
    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    @Basic
    @Column(name = "REDO_REASON")
    public String getRedoReason() {
        return redoReason;
    }

    public void setRedoReason(String redoReason) {
        this.redoReason = redoReason;
    }

    @Basic
    @Column(name = "CALL_DATE")
    public String getCallDate() {
        return callDate;
    }

    public void setCallDate(String callDate) {
        this.callDate = callDate;
    }

    @Basic
    @Column(name = "BACK_DATE")
    public String getBackDate() {
        return backDate;
    }

    public void setBackDate(String backDate) {
        this.backDate = backDate;
    }

    @Basic
    @Column(name = "NOTE")
    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        RedoRegistrationEntity that = (RedoRegistrationEntity) o;
        return Objects.equals(redoRegistrationId, that.redoRegistrationId) &&
                Objects.equals(submitDate, that.submitDate) &&
                Objects.equals(countyCode, that.countyCode) &&
                Objects.equals(policeCode, that.policeCode) &&
                Objects.equals(name, that.name) &&
                Objects.equals(cardId, that.cardId) &&
                Objects.equals(redoReason, that.redoReason) &&
                Objects.equals(callDate, that.callDate) &&
                Objects.equals(backDate, that.backDate) &&
                Objects.equals(note, that.note);
    }

    @Override
    public int hashCode() {
        return Objects.hash(redoRegistrationId, submitDate, countyCode, policeCode, name, cardId, redoReason, callDate, backDate, note);
    }
}
